javax.el

## Class ELClass

- java.lang.Object
- - javax.el.ELClass

    public class ELClass
    extends java.lang.Object

A runtime representation of a Class in the EL expressions. It encapsulates the java.lang.Class instance.

This class is used only in `StaticFieldELResolver` and will probably only be of interest to EL implementors, and not EL users.

Since:
  EL 3.0

### Constructor Summary

Constructors
Constructor and Description
`ELClass(java.lang.Class<?> klass)` Constructor

### Method Summary

Methods
`java.lang.Class<?>` `getKlass()` Returns the Class instance

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ELClass

    public ELClass(java.lang.Class<?> klass)

Constructor

Parameters:
  `klass` - The Class instance

### Method Detail

#### getKlass

    public java.lang.Class<?> getKlass()

Returns the Class instance

Returns:
  The Class instance